This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Upgrade from v0.10.0 to 0.17.0 causes Node & Signal K failure
#1
I thank you in advance for any assistance you can provide me. 

Raspberry Pi 3 with NMEA 0183 data present on UART input

I installed v0.10.0 NOOBS from the Sailoog.com website and had all working nicely with a multiplexed NMEA 0183 output and a SignalK server running also. I was prompted by the Openplotter GUI to update to ver 0.17.0 and did so using the gui. After the update had finished all seemed well except that I could not see any SignalK data out using its test URL http://localhost:3000/ just an error message...

Quote:This site can’t be reached
localhost refused to connect.
Try: ERR_CONNECTION_REFUSED

NOTE: This all worked fine before the upgrade.

I also note that when attempting to look at the NODE-RED config page http://localhost:1880/# the messages below are displayed ,and in the flow diagram.. "unknown: freeboard" is shown in a dashed box.
Quote:Imported unrecognised type:
  • freeboard

Flows stopped due to missing node types. Check logs for details.

Below is the output from the openplotter command...
 
Code:
pi@openplotter:~ $ openplotter
Signal K starting
*** WARNING *** The program 'node' uses the Apple Bonjour compatibility layer of Avahi.
*** WARNING *** Please fix your application to use the native API of Avahi!
*** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=node>
*** WARNING *** The program 'node' called 'DNSServiceRegister()' which is not supported (or only supported partially) in the Apple Bonjour compatibility layer of Avahi.
*** WARNING *** Please fix your application to use the native API of Avahi!
*** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=node&f=DNSServiceRegister>
Signal K starting
*** WARNING *** The program 'node' uses the Apple Bonjour compatibility layer of Avahi.
*** WARNING *** Please fix your application to use the native API of Avahi!
*** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=node>
*** WARNING *** The program 'node' called 'DNSServiceRegister()' which is not supported (or only supported partially) in the Apple Bonjour compatibility layer of Avahi.
*** WARNING *** Please fix your application to use the native API of Avahi!
*** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=node&f=DNSServiceRegister>
signalk-server running at 0.0.0.0:3000

cat: /dev/ttyOP_SKVA: No such file or directory

Cannot open NGT-1-A device /dev/ttyOP_N2K

Error reading /home/pi/.openplotter/public/mapcache
GET /signalk/v1/api/vessels/self 200 43.270 ms - 19
GET /signalk 200 7.930 ms - 245
/home/pi/.config/signalk-server-node/node_modules/@signalk/nmea0183-utilities/index.js:198
    pole = pole.toUpperCase();
               ^

TypeError: Cannot read property 'toUpperCase' of undefined
    at Object.exports.coordinate (/home/pi/.config/signalk-server-node/node_modules/@signalk/nmea0183-utilities/index.js:198:16)
    at module.exports (/home/pi/.config/signalk-server-node/node_modules/@signalk/nmea0183-signalk/hooks/RMB.js:53:20)
    at parseSentence (/home/pi/.config/signalk-server-node/node_modules/@signalk/nmea0183-signalk/lib/parse.js:64:18)
    at Parser.parse (/home/pi/.config/signalk-server-node/node_modules/@signalk/nmea0183-signalk/lib/index.js:43:12)
    at nmea0183ToSignalK._transform (/home/pi/.config/signalk-server-node/providers/nmea0183-signalk.js:88:17)
    at nmea0183ToSignalK.Transform._read (_stream_transform.js:167:10)
    at nmea0183ToSignalK.Transform._write (_stream_transform.js:155:12)
    at doWrite (_stream_writable.js:333:12)
    at writeOrBuffer (_stream_writable.js:319:5)
    at nmea0183ToSignalK.Writable.write (_stream_writable.js:245:11)
    at Udp.ondata (_stream_readable.js:555:20)
    at emitOne (events.js:96:13)
    at Udp.emit (events.js:188:7)
    at readableAddChunk (_stream_readable.js:176:18)
    at Udp.Readable.push (_stream_readable.js:134:10)
    at Udp.Transform.push (_stream_transform.js:128:32)
Connection is already closed.
No IMU detected
No pressure sensor detected
No humidity sensor detected

Below is the output from the command node-red ....

Code:
pi@openplotter:~ $ node-red
7 Feb 14:45:13 - [info]

Welcome to Node-RED
===================

7 Feb 14:45:13 - [info] Node-RED version: v0.16.2
7 Feb 14:45:13 - [info] Node.js  version: v6.12.3
7 Feb 14:45:13 - [info] Linux 4.9.35-v7+ arm LE
7 Feb 14:45:16 - [info] Loading palette nodes
7 Feb 14:45:25 - [info] Dashboard version 2.3.6 started at /ui
7 Feb 14:45:28 - [warn] ------------------------------------------------------
7 Feb 14:45:28 - [warn] [sensehat] Error: Can't find Sense HAT python libraries. Run sudo apt-get install sense-hat
7 Feb 14:45:28 - [warn] [freeboard] Error: Cannot find module 'express'
7 Feb 14:45:29 - [warn] ------------------------------------------------------
7 Feb 14:45:29 - [info] Settings file  : /home/pi/.node-red/settings.js
7 Feb 14:45:29 - [info] User directory : /home/pi/.node-red
7 Feb 14:45:29 - [info] Flows file     : /home/pi/.node-red/flows_openplotter.json
7 Feb 14:45:30 - [info] Waiting for missing types to be registered:
7 Feb 14:45:30 - [info]  - freeboard
7 Feb 14:45:30 - [warn] Communication server error: Error: listen EADDRINUSE 0.0.0.0:1880
7 Feb 14:45:30 - [error] Unable to listen on http://127.0.0.1:1880/
7 Feb 14:45:30 - [error] Error: port in use

A number of forums have referred to the upgrade log files but alas I don't know where to find them. As I am a relative newbie to Linux and the Pi I would be extremely grateful if anyone could shed any light on this problem and perhaps give me some step by step instructions on how to fix this.

Many thanks
Dean.
  Reply
#2
I have seen this bug before and we solved it but I can not remember how Sad

what happens if you disable the UART input?

Update to 0.17.1 in case something went wrong with the last update
  Reply
#3
This bug is related: http://forum.openmarine.net/showthread.php?tid=512
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)